Subject: Re: Proftpd on non NT systems ?
From: Sylvain Petreolle <[email-masked]>
To: Jason Tishler <[email-masked]>
Cc: Hughlander <[email-masked]>, [email-masked]
Date: Wed, 21 May 2003 23:03:43 +0200 (CEST)

>     User               <insert your user name here>
>     Group              <insert your group name here>
> 
Thanks, it starts. Silly me, I should have tried it myself. <g>
Great work.
I changed to user Sylvain and group all, since there is no group in
Win9x.

Security is a real pain on Win9x and older DOSes you know :))
> Note that I don't have access to 9x/Me, so someone who does is going
> to
> have to debug this if the above doesn't work.
> 
> Jason
I created the /home/ftp directory and put it some empty files.

But i cannot read anything, see this (I attached the log of proftpd)
command line : /usr/sbin/proftpd --nodaemon

C:\WINDOWS\Profiles\Sylvain\Mes Documents>ftp localhost
Connecté à ordi.
220 ProFTPD 1.2.9rc1 Server (ProFTPD Default Installation) [ordi]
Utilisateur (ordi:(none)) : anonymous
331 Anonymous login ok, send your complete email address as your
password.
Mot de passe :
230 Anonymous access granted, restrictions apply.
ftp> pwd
257 "/" is current directory.
ftp> ls
200 PORT command successful
450 : No such file or directory
ftp> cd ~
550 ~: No such file or directory
ftp>

=====
Sylvain Petreolle (spetreolle at users dot sourceforge dot net) ICQ #170597259
No more War !

"What if tomorrow the War could be over ?" Morpheus, in "Reloaded".

For the Law of Oil and Fire, Im an European that lives in France.
For all my Brothers and friends, Im a human living on Earth.

___________________________________________________________
Do You Yahoo!? -- Une adresse @yahoo.fr gratuite et en français !
Yahoo! Mail : http://fr.mail.yahoo.com

ordi - PRIVS_ROOT: unable to seteuid(): Invalid argument
ordi - PRIVS_RELINQUISH: unable to seteuid(PR_ROOT_UID): Invalid argument
ordi - PRIVS_ROOT: unable to seteuid(): Invalid argument
ordi - PRIVS_RELINQUISH: unable to seteuid(PR_ROOT_UID): Invalid argument
ordi - PRIVS_ROOT: unable to seteuid(): Invalid argument
ordi - PRIVS_RELINQUISH: unable to seteuid(PR_ROOT_UID): Invalid argument
ordi - ProFTPD 1.2.9rc1 (CVS) (built Mon May 19 15:42:30 EDT 2003) standalone mode STARTUP
ordi - PRIVS_ROOT: unable to seteuid(): Invalid argument
ordi - PRIVS_RELINQUISH: unable to seteuid(PR_ROOT_UID): Invalid argument
ordi - PRIVS_ROOT: unable to seteuid(): Invalid argument
ordi - PRIVS_RELINQUISH: unable to seteuid(PR_ROOT_UID): Invalid argument
ordi - error setting write fd TCP_NOPUSH: Protocol not available
ordi - error setting read fd TCP_NOPUSH: Protocol not available
ordi (localhost[127.0.0.1]) - PRIVS_ROOT: unable to seteuid(): Invalid argument
ordi (localhost[127.0.0.1]) - PRIVS_ROOT: unable to seteuid(): Invalid argument
ordi (localhost[127.0.0.1]) - PRIVS_RELINQUISH: unable to seteuid(PR_ROOT_UID): Invalid argument
ordi (localhost[127.0.0.1]) - FTP session opened.
ordi (localhost[127.0.0.1]) - PRIVS_ROOT: unable to seteuid(): Invalid argument
ordi (localhost[127.0.0.1]) - PRIVS_RELINQUISH: unable to seteuid(PR_ROOT_UID): Invalid argument
ordi (localhost[127.0.0.1]) - PRIVS_ROOT: unable to seteuid(): Invalid argument
ordi (localhost[127.0.0.1]) - PRIVS_ROOT: unable to seteuid(): Invalid argument
ordi (localhost[127.0.0.1]) - ANON anonymous: Login successful.
ordi (localhost[127.0.0.1]) - PRIVS_ROOT: unable to seteuid(): Invalid argument
ordi (localhost[127.0.0.1]) - PRIVS_RELINQUISH: unable to seteuid(PR_ROOT_UID): Invalid argument
ordi (localhost[127.0.0.1]) - PRIVS_ROOT: unable to seteuid(): Invalid argument
ordi (localhost[127.0.0.1]) - PRIVS_RELINQUISH: unable to seteuid(PR_ROOT_UID): Invalid argument
ordi (localhost[127.0.0.1]) - PRIVS_ROOT: unable to seteuid(): Invalid argument
ordi (localhost[127.0.0.1]) - PRIVS_RELINQUISH: unable to seteuid(PR_ROOT_UID): Invalid argument
ordi - PRIVS_ROOT: unable to seteuid(): Invalid argument
ordi - PRIVS_RELINQUISH: unable to seteuid(PR_ROOT_UID): Invalid argument
ordi - PRIVS_ROOT: unable to seteuid(): Invalid argument
ordi - PRIVS_RELINQUISH: unable to seteuid(PR_ROOT_UID): Invalid argument
ordi (localhost[127.0.0.1]) - FTP session closed.
ordi - ProFTPD terminating (signal 2)
ordi - PRIVS_ROOT: unable to seteuid(): Invalid argument
ordi - PRIVS_RELINQUISH: unable to seteuid(PR_ROOT_UID): Invalid argument
ordi - ProFTPD 1.2.9rc1 standalone mode SHUTDOWN
ordi - PRIVS_ROOT: unable to seteuid(): Invalid argument
ordi - PRIVS_RELINQUISH: unable to seteuid(PR_ROOT_UID): Invalid argument

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/